
QGIS Application - Bug report #15886

MSSQL Value Map and NULL value

2016-11-23 08:33 AM - Andre Jesus

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23804

Description

"*Insert NULL value on top*" provide a invalid value for SQL Server, not allowing It to any edit.

Workaround 1:

USe Value Relation and tick "*Allow NULL value*"

Workaround 2:

Use Value Map and set Default Value to "NULL"

Same problem happens in QGIS 2.8.6 also

Related issues:

Related to QGIS Application - Bug report # 15215: Cannot set value to NULL in... Closed 2016-07-04

History

#1 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-08-10 03:04 PM - Andre Jesus

- Status changed from Open to Closed

it's related to #15215

#3 - 2017-08-10 05:15 PM - Jürgen Fischer

- Related to Bug report #15215: Cannot set value to NULL in value map added
